ola_dmxconsole(1)

NAME
ola_dmxconsole - Send DMX512 information to olad

SYNOPSIS
ola_dmxconsole [-u universe-id ]

DESCRIPTION
ola_dmxconsole provides a simple 12 scene console to send DMX512 data. Each DMX512 universe is 512 slots. Each slot can have a value between 0 and 255. For most dimmers, a value of 0 is off, and a value of 255 is on.

OPTIONS

-u, --universe <universe-id>
    The universe ID to control.

-h, --help
    Displays a short help message.

CONTROLS
Once running, the following keys control the behavior:

+   Increment the current slot data by one.

-   Decrement the current slot data by one.

Page Up
    Increment the current slot data by 16.

Page Down
    Decrement the current slot data by 16.

<space>
    Toggle the current slot between 0 and 255.

Insert
    Insert a channel (slot), shifting the existing values up one channel.

Delete
    Delete a channel (slot), shifting the existing values down one channel.

0 .. 9
    Set the fade time from 0 to 9 seconds.

b, B
    Blackout, sets all slots to 0.

f, F
    Full, sets all slots to 255.

m, M
    Toggle display modes: hex, DMX and decimal.

n, N
    Toggle channel (slot) indexing mode. 0-indexed or 1-indexed.

p, P
    Toggle display palette.

q, Q
    Quit the program.

u, U
    Undo the last change. Only one level of undo is supported.

Arrow keys
    Move the channel (slot) cursor.

Home
    Move the channel (slot) cursor to the first channel.

End Move the channel (slot) cursor to the last channel.

F1 - F12
    Change scene honouring the fade time.

SEE ALSO
ola_dmxmonitor(1), olad(1),